//
//  Copyright (c) Microsoft Corporation.  All rights reserved.
//
//
//  Use of this source code is subject to the terms of the Microsoft end-user
//  license agreement (EULA) under which you licensed this SOFTWARE PRODUCT.
//  If you did not accept the terms of the EULA, you are not authorized to use
//  this source code. For a copy of the EULA, please see the LICENSE.RTF on your
//  install media.
//
//------------------------------------------------------------------------------
//
//  File: bsp.h
//
//  This header file is comprised of component header files that defines
//  the standard include hierarchy for the board support packege.
//
#ifndef __BSP_H
#define __BSP_H

//------------------------------------------------------------------------------

#if __cplusplus
extern "C" {
#endif

//------------------------------------------------------------------------------

#include <windows.h>
#include <ceddk.h>
#include <nkintr.h>
#include "oal.h"

// Processor Definitions
#include "s3c2440a.h"

// Configuration Files
#include "bsp_cfg.h"
#include "bsp_base_reg_cfg.h"
#include "ioctl_cfg.h"
#include "image_cfg.h"
#include "args.h"

//------------------------------------------------------------------------------
#define	BOARD_QQ2440			1
#define BOARD_MINI2440			2
#define	BOARD_V100				3
#define	BOARD_P1310				4
#define BOARD_TYPE				BOARD_P1310

#if(BOARD_TYPE == BOARD_P1310)
	#define	BSP_DEBUG_UART2
#else
	#define BSP_DEBUG_UART0
#endif	

#if __cplusplus
}
#endif

#endif 
